## valve valve — Drops buffers and events or lets them through |

## Properties

gboolean | drop | Read / Write

## Types and Values

struct | GstValve

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstValve

## Description

The valve is a simple element that drops buffers when the “drop” property is set to `TRUE` and lets then through otherwise.

Any downstream error received while the “drop” property is `TRUE` is ignored. So downstream element can be set to `GST_STATE_NULL` and removed, without using pad blocking.

## Synopsis

### Element Information

plugin | coreelements
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Filter

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstValve

    struct GstValve;

The private valve structure

## Property Details

### The `“drop”` property

      “drop”                     gboolean

Whether to drop buffers and events or let them through.

Flags: Read / Write

Default value: FALSE